JournalNodeHttpServer (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.qjournal.server, class: JournalNodeHttpServer

Package org.apache.hadoop.hdfs.qjournal.server

# Class JournalNodeHttpServer

java.lang.Object
org.apache.hadoop.hdfs.qjournal.server.JournalNodeHttpServer

@Private public class JournalNodeHttpServer extends Object
Encapsulates the HTTP server started by the Journal Service.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `JN_ATTRIBUTE_KEY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InetSocketAddress`
  `getAddress()`
  Return the actual HTTP/HTTPS address bound to by the running server.
  `static org.apache.hadoop.conf.Configuration`
  `getConfFromContext(javax.servlet.ServletContext context)`
  `InetSocketAddress`
  `getHttpAddress()`
  Return the actual address bound to by the running server.
  `InetSocketAddress`
  `getHttpsAddress()`
  Return the actual address bound to by the running server.
  `static Journal`
  `getJournalFromContext(javax.servlet.ServletContext context, String jid)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### JN_ATTRIBUTE_KEY

    public static final String JN_ATTRIBUTE_KEY
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getAddress

    public InetSocketAddress getAddress()
    Return the actual HTTP/HTTPS address bound to by the running server.

  - ### getHttpAddress

    public InetSocketAddress getHttpAddress()
    Return the actual address bound to by the running server.

  - ### getHttpsAddress

    public InetSocketAddress getHttpsAddress()
    Return the actual address bound to by the running server.

  - ### getJournalFromContext

    public static Journal getJournalFromContext(javax.servlet.ServletContext context, String jid) throws IOException
    Throws:
      `IOException`

  - ### getConfFromContext

    public static org.apache.hadoop.conf.Configuration getConfFromContext(javax.servlet.ServletContext context)